package id.iptek.utms.agent.model;

import java.util.Date;

/**
 *
 * @author jakar
 */
public class ApplicationExt extends Application {
    
    private String uniqueName;
    private String downloadUrl;
    private Date downloadUrlExp;
    private long fileSize;
    private String uniqueIconName;
    private String iconUrl;
    private Date iconUrlExp;

    /**
     * @return the uniqueName
     */
    public String getUniqueName() {
        return uniqueName;
    }

    /**
     * @param uniqueName the uniqueName to set
     */
    public void setUniqueName(String uniqueName) {
        this.uniqueName = uniqueName;
    }

    /**
     * @return the downloadUrl
     */
    public String getDownloadUrl() {
        return downloadUrl;
    }

    /**
     * @param downloadUrl the downloadUrl to set
     */
    public void setDownloadUrl(String downloadUrl) {
        this.downloadUrl = downloadUrl;
    }

    /**
     * @return the downloadUrlExp
     */
    public Date getDownloadUrlExp() {
        return downloadUrlExp;
    }

    /**
     * @param downloadUrlExp the downloadUrlExp to set
     */
    public void setDownloadUrlExp(Date downloadUrlExp) {
        this.downloadUrlExp = downloadUrlExp;
    }

    /**
     * @return the fileSize
     */
    public long getFileSize() {
        return fileSize;
    }

    /**
     * @param fileSize the fileSize to set
     */
    public void setFileSize(long fileSize) {
        this.fileSize = fileSize;
    }

    /**
     * @return the uniqueIconName
     */
    public String getUniqueIconName() {
        return uniqueIconName;
    }

    /**
     * @param uniqueIconName the uniqueIconName to set
     */
    public void setUniqueIconName(String uniqueIconName) {
        this.uniqueIconName = uniqueIconName;
    }

    /**
     * @return the iconUrl
     */
    public String getIconUrl() {
        return iconUrl;
    }

    /**
     * @param iconUrl the iconUrl to set
     */
    public void setIconUrl(String iconUrl) {
        this.iconUrl = iconUrl;
    }

    /**
     * @return the iconUrlExp
     */
    public Date getIconUrlExp() {
        return iconUrlExp;
    }

    /**
     * @param iconUrlExp the iconUrlExp to set
     */
    public void setIconUrlExp(Date iconUrlExp) {
        this.iconUrlExp = iconUrlExp;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("ApplicationExt{");
        sb.append("id=").append(id);
        sb.append(", appName=").append(appName);
        sb.append(", packageName=").append(packageName);
        sb.append(", version=").append(version);
        sb.append(", companyName=").append(companyName);
        sb.append(", uninstallable=").append(uninstallable);
        sb.append(", description=").append(description);
        sb.append(", apkId=").append(apkId);
        sb.append(", fileId=").append(fileId);
        sb.append(", fileExt=").append(fileExt);
        sb.append(", fileCreateDate=").append(fileCreateDate);
        sb.append(", checksum=").append(checksum);
        sb.append(", uniqueName=").append(uniqueName);
        sb.append(", downloadUrl=").append(downloadUrl);
        sb.append(", downloadUrlExp=").append(downloadUrlExp);
        sb.append(", fileSize=").append(fileSize);
        sb.append(", uniqueIconName=").append(uniqueIconName);
        sb.append(", iconUrl=").append(iconUrl);
        sb.append(", iconUrlExp=").append(iconUrlExp);
        sb.append('}');
        return sb.toString();
    }

    
    
}
